package cn.estsh.i3plus.ext.mes.pcn.pojo.context;

import cn.estsh.i3plus.ext.mes.pcn.pojo.util.MesPcnExtConstWords;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * 生产过程上下文对象-零件条码(非排序进料零件条码/排序工单号)
 */
@Data
public class MesProductionPsInContext implements Serializable {

    private static final long serialVersionUID = 4337949265011880288L;

    @ApiParam(name = "数据关联键  排序:生产工单号  非排序:snowflakeId")
    private Integer foreignKey;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("零件条码ID")
    private Long id;

    @ApiParam("非排序进料零件条码/排序工单号")
    private String productSn;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("客户条码")
    private String custSn;

    @ApiParam("零件号")
    private String partNo;

    @ApiParam("零件名称")
    private String partName;

    //默认否
    @ApiParam("是否顺序防错")
    private Integer isCheckSeq = CommonEnumUtil.TRUE_OR_FALSE.FALSE.getValue();

    //默认否
    @ApiParam(name = "是否前道工艺防错")
    private Integer isCheckCraft = CommonEnumUtil.TRUE_OR_FALSE.FALSE.getValue();

    //默认未验证
    @ApiParam("顺序防错结果")
    private Integer checkSeqResult = MesPcnExtConstWords.ZERO;

    //默认未验证
    @ApiParam(name = "前道工艺防错结果")
    private Integer checkCraftResult = MesPcnExtConstWords.ZERO;

    public MesProductionPsInContext foreignKey(Integer foreignKey) {
        this.foreignKey = foreignKey;
        return this;
    }


}
